`timescale 1ns / 1ps

//******************************************************************************
//* Digitlis technika (VIMIAA03) - 4. labor                                   *
//*                                                                            *
//* 3. feladat: htszegmenses dekder.                                         *
//******************************************************************************
module lab04_3(
   input  wire [7:0] sw,
   output wire [7:0] seg_n,
   output wire [3:0] dig_n,
   output wire [4:0] col_n
);

//A htszegmenses dekdert megvalst modul.
wire [6:0] seg;

dec_7seg dec_7seg_i(
   .in(sw[3:0]),
   .out(seg)
);

//A szegmens vezrl jelek meghajtsa. A tizedespontot kikapcsoljuk.
//A szegmens vezrl jelek aktv alacsony szintek!
assign seg_n[6:0] = ~seg;
assign seg_n[7]   = 1'b1;

//A htszegmenses kijelz digit kivlaszt jeleinek meghajtsa. Csak a
//DIG0 digitet engedlyezzk. A vezrl jelek aktv alacsony szintek!
assign dig_n = 4'b1110;

//A pontmtrix kijelzt kikapcsoljuk. Az oszlop kivlaszt jelek aktv
//alacsony szintek!
assign col_n = 5'b11111;

endmodule
